From 4801e5a676beb4cfe38f15718521b2f6554b59c5 Mon Sep 17 00:00:00 2001
From: Robert Lowry <bobertlo@gmail.com>
Date: Fri, 3 May 2019 13:55:43 -0500
Subject: [PATCH] adom: update to 3.3.3

---
 srcpkgs/adom/template | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/adom/template b/srcpkgs/adom/template
index 4d3e1c5cfd2..4b1dfa2b3d2 100644
--- a/srcpkgs/adom/template
+++ b/srcpkgs/adom/template
@@ -1,15 +1,15 @@
 # Template file for 'adom'
 pkgname=adom
 reverts=60_1
-version=3.0.6
+version=3.3.3
 revision=1
 wrksrc=${pkgname}
 depends="ncurses"
-short_desc="A roguelike game with a quest-centric, plot driven structure"
+short_desc="Roguelike game with a quest-centric, plot driven structure"
 maintainer="Diogo Leal <diogo@diogoleal.com>"
 license="Proprietary"
 homepage="http://www.adom.de"
-_download_url="http://www.ancardia.com/download"
+_download_url="https://www.adom.de/home/download/current"
 nopie=yes
 nostrip=yes
 repository=nonfree
@@ -21,16 +21,16 @@ case "${XBPS_TARGET_MACHINE}" in
 		;;
 	x86_64)
 		distfiles="${_download_url}/adom_linux_debian_64_${version}.tar.gz"
-		checksum=588ddc3b680c8952fc1030747cca0047af64e48d1111eb014eaa094f44b6c9a5
+		checksum=b74a310e4180633d75ef26742933796261b475252a4123c6c492ee4ce96d48dd
 		;;
 	i686)
 		distfiles="${_download_url}/adom_linux_debian_32_${version}.tar.gz"
-		checksum=7deeaebb87be28f4e44c98384161783a6d93aa5dc4aa2a11559acf24a64dd934
+		checksum=20a900c425236205668db3fb052491d9c4fd3ff30765b1281802ff8a7cc374dd
 		;;
 	arm*)
 		_platform=arm
-		distfiles="http://www.ancardia.com/download/adom_linux_arm_${version}.tar.gz"
-		checksum=ade13c0884a81144510dd45249add80d421b868bfe673dcafa64d0de3e49d5cf
+		distfiles="${_download_url}/adom_linux_arm_${version}.tar.gz"
+		checksum=8a674bf077f816856ceda3e6312c4721435fc529dbd0bc95897828c887755c6f
 		;;
 	*)
 		broken="Platform not supported."
